Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083766 - console.vv file does not display name of VM for VNC consoles
Summary: console.vv file does not display name of VM for VNC consoles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Frantisek Kobzik
QA Contact: Ilanit Stein
URL:
Whiteboard: virt, Triaged
: 1112639 (view as bug list)
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-02 22:29 UTC by Bryan Yount
Modified: 2019-04-16 14:13 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.0-alpha2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 17:58:41 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 26880 master MERGED engine: Generalize console shortcut config values Never
oVirt gerrit 26881 master MERGED frontend: Client shortcuts for VNC sessions Never
Red Hat Knowledge Base (Solution) 776523 None None None Never
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC

Description Bryan Yount 2014-04-02 22:29:09 UTC
Description of problem:
When VNC is selected as the console type, the console.vv file indicates the VM's name is "VNC" instead of the actual name of the VM displayed in RHEV-M.

Version-Release number of selected component (if applicable):
ovirt-engine-3.3.1
virt-viewer-0.5.6-20

How reproducible:
Very

Steps to Reproduce:
1. Connect to a Spice console
2. Observe the VM name displayed in the title bar of Remote Viewer
3. Switch console type to "VNC"
4. Connect to VNC console

Actual results:
Title bar displays "VNC" instead of the name of the VM

Expected results:
Title bar should display the name of the VM like the Spice console does

Additional info:
I was able to affect the behavior of the title bar by saving the console.vv file for a VNC session, editing the title= field, and then opening it with Remote Viewer. The correct title was displayed.

Comment 2 Michal Skrivanek 2014-06-26 11:22:39 UTC
*** Bug 1112639 has been marked as a duplicate of this bug. ***

Comment 3 Ilanit Stein 2014-08-07 11:06:53 UTC
Verified on oVirt Engine Version: 3.5.0-0.0.master.20140804172041.git23b558e.el6

When opening the VM VNC console the title contain the correct VM name.

console.vv file:

[virt-viewer]
type=vnc
host=10.35.117.20
port=5900
password=tFuW5jU9DGk6
# Password is valid for 120 seconds.
delete-this-file=1
title=test:%d - Press SHIFT+F12 to Release Cursor <== Correct VM name 
toggle-fullscreen=shift+f11
release-cursor=shift+f12
secure-attention=ctrl+alt+end

Comment 5 errata-xmlrpc 2015-02-11 17:58:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.